import { request } from 'umi';
import { api } from '../api';
import { Paging } from './rankingList';
let wapi = api + '/gameData'

export interface GameRechargeListProps extends Paging {
    // 数据归因：1-子游戏维度; 2-父游戏维度
    gameDimension?: 1 | 2, 
    gameId?: number,
    pitcherId?: number, // 投手
    // 消耗时间
    costBeginDate?: string,
    costEndDate?: string,
    // 订单时间
    orderBeginDate?: string,
    orderEndDate?: string,
    // 渠道
    agentId?: number
    // 广告
    accountId?: string
}
/**
 * 充值历史
 * @param data 
 * @returns 
 */
export async function getGameRechargeListApi(data: GameRechargeListProps) {
    return request(wapi + `/gameData/flow/monitor`, {
        method: 'POST',
        data
    });
}

/**
 * 充值历史总计
 * @param data 
 * @returns 
 */
export async function getGameRechargeCountApi(data: GameRechargeListProps) {
    return request(wapi + `/gameData/flow/monitorCount`, {
        method: 'POST',
        data
    });
}